Bug 313508 - Digikam crashed
Summary: Digikam crashed
Status: RESOLVED NOT A BUG
Alias: None
Product: digikam
Classification: Unclassified
Component: Image Framework DImg (show other bugs)
Version: 2.9.0
Platform: Fedora RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-19 13:59 UTC by Aleš Zelený
Modified: 2022-01-08 05:10 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.5.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleš Zelený 2013-01-19 13:59:05 UTC
Application: digikam (2.9.0)
KDE Platform Version: 4.9.5
Qt Version: 4.8.4
Operating System: Linux 3.6.11-1.fc17.x86_64 x86_64
Distribution (Platform): Fedora RPMs

-- Information about the crash:
Digima was not active application, it just has been running and I've worekd with hugin to create panorame. Last action done with digikam was browsing photos and assigning tags.

-- Backtrace:
Application: digiKam (digikam), signal: Bus error
Using host libthread_db library "/lib64/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
166	62:	movl	(%rsp), %edi
[Current thread is 1 (Thread 0x7fbc7f921a80 (LWP 2291))]

Thread 12 (Thread 0x7fbc714a2700 (LWP 2304)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x0000003b5027be7b in wait (time=18446744073709551615, this=0x1dc7aa0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x1dc7998, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00000000005c5ad8 in Digikam::ScanController::run (this=0x1dc7730) at /usr/src/debug/digikam-2.9.0/core/digikam/database/scancontroller.cpp:698
#4  0x0000003b5027b91c in QThreadPrivate::start (arg=0x1dc7730) at thread/qthread_unix.cpp:338
#5  0x00000037d5e07d14 in start_thread (arg=0x7fbc714a2700) at pthread_create.c:309
#6  0x00000037d52f168d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 11 (Thread 0x7fbc70ca1700 (LWP 2305)):
#0  0x00000037d52e8bdf in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000037d8247af4 in g_main_context_poll (n_fds=1, fds=0x7fbc64002910, timeout=-1, context=0x7fbc640009a0, priority=<optimized out>) at gmain.c:3440
#2  g_main_context_iterate (context=context@entry=0x7fbc640009a0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3141
#3  0x00000037d8247c14 in g_main_context_iteration (context=0x7fbc640009a0, may_block=1) at gmain.c:3207
#4  0x0000003b503a5fe6 in QEventDispatcherGlib::processEvents (this=0x7fbc640008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x0000003b503766ef in QEventLoop::processEvents (this=this@entry=0x7fbc70ca0ad0, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003b50376978 in QEventLoop::exec (this=0x7fbc70ca0ad0, flags=...) at kernel/qeventloop.cpp:204
#7  0x0000003b50278940 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:542
#8  0x0000003b50356f0f in QInotifyFileSystemWatcherEngine::run (this=0x1dc9e50) at io/qfilesystemwatcher_inotify.cpp:256
#9  0x0000003b5027b91c in QThreadPrivate::start (arg=0x1dc9e50) at thread/qthread_unix.cpp:338
#10 0x00000037d5e07d14 in start_thread (arg=0x7fbc70ca1700) at pthread_create.c:309
#11 0x00000037d52f168d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 10 (Thread 0x7fbc6bfff700 (LWP 2325)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x0000003b5027be7b in wait (time=18446744073709551615, this=0x229ff60) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x229fcc8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003b5ad356a9 in Digikam::ParkingThread::run (this=0x229fcb0) at /usr/src/debug/digikam-2.9.0/core/libs/threads/threadmanager.cpp:119
#4  0x0000003b5027b91c in QThreadPrivate::start (arg=0x229fcb0) at thread/qthread_unix.cpp:338
#5  0x00000037d5e07d14 in start_thread (arg=0x7fbc6bfff700) at pthread_create.c:309
#6  0x00000037d52f168d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 9 (Thread 0x7fbc42732700 (LWP 2511)):
#0  0x00000037d52e8bdf in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00000037d8247af4 in g_main_context_poll (n_fds=1, fds=0x7fbc3848c230, timeout=-1, context=0x7fbc38204090, priority=<optimized out>) at gmain.c:3440
#2  g_main_context_iterate (context=context@entry=0x7fbc38204090, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3141
#3  0x00000037d8247c14 in g_main_context_iteration (context=0x7fbc38204090, may_block=1) at gmain.c:3207
#4  0x0000003b503a5fe6 in QEventDispatcherGlib::processEvents (this=0x7fbc38039c70, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x0000003b503766ef in QEventLoop::processEvents (this=this@entry=0x7fbc42731aa0, flags=...) at kernel/qeventloop.cpp:149
#6  0x0000003b50376978 in QEventLoop::exec (this=0x7fbc42731aa0, flags=...) at kernel/qeventloop.cpp:204
#7  0x0000003b5ad34d0b in Digikam::WorkerObjectRunnable::run (this=0x788d330) at /usr/src/debug/digikam-2.9.0/core/libs/threads/threadmanager.cpp:196
#8  0x0000003b5026f56d in QThreadPoolThread::run (this=0x5ef32b0) at concurrent/qthreadpool.cpp:107
#9  0x0000003b5027b91c in QThreadPrivate::start (arg=0x5ef32b0) at thread/qthread_unix.cpp:338
#10 0x00000037d5e07d14 in start_thread (arg=0x7fbc42732700) at pthread_create.c:309
#11 0x00000037d52f168d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 8 (Thread 0x7fbc43734700 (LWP 3057)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x0000003b5027be7b in wait (time=18446744073709551615, this=0x70ccdf0) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x735b708, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fbc50eac386 in KIPIPlugins::KPRawThumbThread::run (this=0x31bf8e0) at /usr/src/debug/digikam-2.9.0/extra/kipi-plugins/common/libkipiplugins/tools/kprawthumbthread.cpp:107
#4  0x0000003b5027b91c in QThreadPrivate::start (arg=0x31bf8e0) at thread/qthread_unix.cpp:338
#5  0x00000037d5e07d14 in start_thread (arg=0x7fbc43734700) at pthread_create.c:309
#6  0x00000037d52f168d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 7 (Thread 0x7fbc5cc8d700 (LWP 3063)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x0000003b5027be7b in wait (time=18446744073709551615, this=0x530fd70) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2379b90, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fbc50c64a81 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8052830, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fbc50c672cb in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#11 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#12 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#13 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#14 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#15 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#16 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#17 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#18 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#19 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#20 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#21 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#22 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#23 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#24 0x00007fbc50c672e4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:74
#25 0x00007fbc50c6613f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fbc5cc8cb00, parent=0x8052830, th=th@entry=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/Thread.cpp:87
#26 0x00007fbc50c661cb in ThreadWeaver::Thread::run (this=0x7fbc44004460) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/Thread.cpp:142
#27 0x0000003b5027b91c in QThreadPrivate::start (arg=0x7fbc44004460) at thread/qthread_unix.cpp:338
#28 0x00000037d5e07d14 in start_thread (arg=0x7fbc5cc8d700) at pthread_create.c:309
#29 0x00000037d52f168d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 6 (Thread 0x7fbc42f33700 (LWP 3064)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x0000003b5027be7b in wait (time=18446744073709551615, this=0x530fd70) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2379b90, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fbc50c64a81 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8052830, th=0x7fbc4c002cd0) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007fbc50c672cb in ThreadWeaver::WorkingHardState::applyForWork (this=0x747d0d0, th=0x7fbc4c002cd0) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007fbc50c6613f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7fbc42f32b00, parent=0x8052830, th=th@entry=0x7fbc4c002cd0) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/Thread.cpp:87
#6  0x00007fbc50c661cb in ThreadWeaver::Thread::run (this=0x7fbc4c002cd0) at /usr/src/debug/kdelibs-4.9.5/threadweaver/Weaver/Thread.cpp:142
#7  0x0000003b5027b91c in QThreadPrivate::start (arg=0x7fbc4c002cd0) at thread/qthread_unix.cpp:338
#8  0x00000037d5e07d14 in start_thread (arg=0x7fbc42f33700) at pthread_create.c:309
#9  0x00000037d52f168d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 5 (Thread 0x7fbc2c60c700 (LWP 3530)):
#0  0x00000037d5e0e0ad in read () at ../sysdeps/unix/syscall-template.S:82
#1  0x00000037d8282cdf in read (__nbytes=16, __buf=0x7fbc2c60b8e0, __fd=<optimized out>) at /usr/include/bits/unistd.h:45
#2  g_wakeup_acknowledge (wakeup=0x7fbc24001950) at gwakeup.c:212
#3  0x00000037d8247679 in g_main_context_check (context=context@entry=0x7fbbfc0845b0, max_priority=2147483647, fds=fds@entry=0x7fbbfc045770, n_fds=n_fds@entry=1) at gmain.c:2980
#4  0x00000037d8247a92 in g_main_context_iterate (context=context@entry=0x7fbbfc0845b0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3143
#5  0x00000037d8247c14 in g_main_context_iteration (context=0x7fbbfc0845b0, may_block=1) at gmain.c:3207
#6  0x0000003b503a5fe6 in QEventDispatcherGlib::processEvents (this=0x7fbbfe3276c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#7  0x0000003b503766ef in QEventLoop::processEvents (this=this@entry=0x7fbc2c60baa0, flags=...) at kernel/qeventloop.cpp:149
#8  0x0000003b50376978 in QEventLoop::exec (this=0x7fbc2c60baa0, flags=...) at kernel/qeventloop.cpp:204
#9  0x0000003b5ad34d0b in Digikam::WorkerObjectRunnable::run (this=0x7ea0f70) at /usr/src/debug/digikam-2.9.0/core/libs/threads/threadmanager.cpp:196
#10 0x0000003b5026f56d in QThreadPoolThread::run (this=0x78e5ce0) at concurrent/qthreadpool.cpp:107
#11 0x0000003b5027b91c in QThreadPrivate::start (arg=0x78e5ce0) at thread/qthread_unix.cpp:338
#12 0x00000037d5e07d14 in start_thread (arg=0x7fbc2c60c700) at pthread_create.c:309
#13 0x00000037d52f168d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 4 (Thread 0x7fbc208ac700 (LWP 3557)):
#0  0x00000037d5e09bc2 in __pthread_mutex_lock (mutex=0x7fbbc800b790) at pthread_mutex_lock.c:96
#1  0x00000037d8283981 in g_mutex_lock (mutex=mutex@entry=0x7fbbc8004f50) at gthread-posix.c:208
#2  0x00000037d8247706 in g_main_context_dispatch (context=context@entry=0x7fbbc8004f50) at gmain.c:3071
#3  0x00000037d8247b58 in g_main_context_iterate (context=context@entry=0x7fbbc8004f50, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3146
#4  0x00000037d8247c14 in g_main_context_iteration (context=0x7fbbc8004f50, may_block=1) at gmain.c:3207
#5  0x0000003b503a5fe6 in QEventDispatcherGlib::processEvents (this=0x7fbbc8002d60, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0x0000003b503766ef in QEventLoop::processEvents (this=this@entry=0x7fbc208abaa0, flags=...) at kernel/qeventloop.cpp:149
#7  0x0000003b50376978 in QEventLoop::exec (this=0x7fbc208abaa0, flags=...) at kernel/qeventloop.cpp:204
#8  0x0000003b5ad34d0b in Digikam::WorkerObjectRunnable::run (this=0x75cacb0) at /usr/src/debug/digikam-2.9.0/core/libs/threads/threadmanager.cpp:196
#9  0x0000003b5026f56d in QThreadPoolThread::run (this=0x7ef11e0) at concurrent/qthreadpool.cpp:107
#10 0x0000003b5027b91c in QThreadPrivate::start (arg=0x7ef11e0) at thread/qthread_unix.cpp:338
#11 0x00000037d5e07d14 in start_thread (arg=0x7fbc208ac700) at pthread_create.c:309
#12 0x00000037d52f168d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 3 (Thread 0x7fbc2ce0d700 (LWP 5238)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x0000003b5027be7b in wait (time=18446744073709551615, this=0x7b74220) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x22fe3a0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007fbc50eb2426 in KIPIPlugins::KPActionThreadBase::run (this=0x63c78c0) at /usr/src/debug/digikam-2.9.0/extra/kipi-plugins/common/libkipiplugins/tools/threads/kpactionthreadbase.cpp:146
#4  0x0000003b5027b91c in QThreadPrivate::start (arg=0x63c78c0) at thread/qthread_unix.cpp:338
#5  0x00000037d5e07d14 in start_thread (arg=0x7fbc2ce0d700) at pthread_create.c:309
#6  0x00000037d52f168d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 2 (Thread 0x7fbc2ae09700 (LWP 7286)):
[KCrash Handler]
#6  __memcpy_ssse3 () at ../sysdeps/x86_64/multiarch/memcpy-ssse3.S:119
#7  0x00000036bb21314b in DumpModeDecode (tif=0x7fbc24202740, buf=<optimized out>, cc=998976, s=<optimized out>) at tif_dumpmode.c:87
#8  0x00000036bb235eec in TIFFReadEncodedStrip (tif=tif@entry=0x7fbc24202740, strip=198, buf=buf@entry=0x7fbc26806c10, size=998976) at tif_read.c:162
#9  0x00000036bb21d7a6 in gtStripContig (img=0x7fbc2ae074f0, raster=0x7fbc26712dc0, w=20812, h=12) at tif_getimage.c:835
#10 0x0000003b5ab90586 in Digikam::TIFFLoader::load (this=0x7fbc2ae07bb0, filePath=..., observer=0x81cb100) at /usr/src/debug/digikam-2.9.0/core/libs/dimg/loaders/tiffloader.cpp:608
#11 0x0000003b5ab6c1ed in Digikam::DImg::load (this=this@entry=0x7fbc2ae08150, filePath=..., loadFlagsInt=loadFlagsInt@entry=13, observer=observer@entry=0x81cb100, rawDecodingSettings=...) at /usr/src/debug/digikam-2.9.0/core/libs/dimg/dimg.cpp:451
#12 0x0000003b5ab6d19d in Digikam::DImg::load (this=0x7fbc2ae08150, filePath=..., loadMetadata=<optimized out>, loadICCData=<optimized out>, loadUniqueHash=<optimized out>, loadImageHistory=<optimized out>, observer=0x81cb100, rawDecodingSettings=...) at /usr/src/debug/digikam-2.9.0/core/libs/dimg/dimg.cpp:406
#13 0x0000003b5ad2166c in Digikam::ThumbnailCreator::loadWithDImg (this=this@entry=0x2d4b1e0, path=..., profile=profile@entry=0x7fbc2ae08390) at /usr/src/debug/digikam-2.9.0/core/libs/threadimageio/thumbnailcreator.cpp:561
#14 0x0000003b5ad22998 in Digikam::ThumbnailCreator::createThumbnail (this=this@entry=0x2d4b1e0, info=..., detailRect=..., isFace=isFace@entry=false) at /usr/src/debug/digikam-2.9.0/core/libs/threadimageio/thumbnailcreator.cpp:490
#15 0x0000003b5ad23013 in Digikam::ThumbnailCreator::load (this=0x2d4b1e0, path=..., rect=..., pregenerate=pregenerate@entry=false) at /usr/src/debug/digikam-2.9.0/core/libs/threadimageio/thumbnailcreator.cpp:260
#16 0x0000003b5ad23e72 in Digikam::ThumbnailCreator::load (this=<optimized out>, path=...) at /usr/src/debug/digikam-2.9.0/core/libs/threadimageio/thumbnailcreator.cpp:199
#17 0x0000003b5ad31237 in Digikam::ThumbnailLoadingTask::execute (this=0x81cb0f0) at /usr/src/debug/digikam-2.9.0/core/libs/threadimageio/thumbnailtask.cpp:170
#18 0x0000003b5ad046de in Digikam::LoadSaveThread::run (this=0x2d4ae90) at /usr/src/debug/digikam-2.9.0/core/libs/threadimageio/loadsavethread.cpp:136
#19 0x0000003b5ad36e5e in Digikam::DynamicThread::DynamicThreadPriv::run (this=0x2d4af90) at /usr/src/debug/digikam-2.9.0/core/libs/threads/dynamicthread.cpp:186
#20 0x0000003b5026f56d in QThreadPoolThread::run (this=0x6cdba50) at concurrent/qthreadpool.cpp:107
#21 0x0000003b5027b91c in QThreadPrivate::start (arg=0x6cdba50) at thread/qthread_unix.cpp:338
#22 0x00000037d5e07d14 in start_thread (arg=0x7fbc2ae09700) at pthread_create.c:309
#23 0x00000037d52f168d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115

Thread 1 (Thread 0x7fbc7f921a80 (LWP 2291)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:166
#1  0x0000003b5027be7b in wait (time=18446744073709551615, this=0x2d4b010) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2d4afc0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x0000003b5ad37468 in Digikam::DynamicThread::wait (this=this@entry=0x2d4ae90, locker=...) at /usr/src/debug/digikam-2.9.0/core/libs/threads/dynamicthread.cpp:351
#4  0x0000003b5ad37670 in Digikam::DynamicThread::shutDown (this=0x2d4ae90) at /usr/src/debug/digikam-2.9.0/core/libs/threads/dynamicthread.cpp:222
#5  0x0000003b5ad09bc0 in Digikam::ManagedLoadSaveThread::shutDown (this=0x2d4ae90) at /usr/src/debug/digikam-2.9.0/core/libs/threadimageio/managedloadsavethread.cpp:94
#6  0x0000003b5ad2678f in Digikam::ThumbnailLoadThread::~ThumbnailLoadThread (this=0x2d4ae90, __in_chrg=<optimized out>) at /usr/src/debug/digikam-2.9.0/core/libs/threadimageio/thumbnailloadthread.cpp:174
#7  0x0000003b5ad268c9 in Digikam::ThumbnailLoadThread::~ThumbnailLoadThread (this=0x2d4ae90, __in_chrg=<optimized out>) at /usr/src/debug/digikam-2.9.0/core/libs/threadimageio/thumbnailloadthread.cpp:177
#8  0x00000037d5238b81 in __run_exit_handlers (status=1, listp=0x37d55b0688, run_list_atexit=run_list_atexit@entry=true) at exit.c:78
#9  0x00000037d5238c05 in __GI_exit (status=<optimized out>) at exit.c:100
#10 0x00000037f4c6a2f4 in ?? () from /lib64/libgdk-x11-2.0.so.0
#11 0x0000003b52a456a8 in KApplication::xioErrhandler (this=0x7fff1a7026f0, dpy=0x1b5b890) at /usr/src/debug/kdelibs-4.9.5/kdeui/kernel/kapplication.cpp:419
#12 0x00000037d72455ce in _XIOError (dpy=dpy@entry=0x1b5b890) at XlibInt.c:1618
#13 0x00000037d724306d in _XEventsQueued (dpy=dpy@entry=0x1b5b890, mode=mode@entry=2) at xcb_io.c:365
#14 0x00000037d723462b in XEventsQueued (dpy=0x1b5b890, mode=2) at Pending.c:43
#15 0x0000003b5166a44c in x11EventSourceCheck (s=s@entry=0x1b253a0) at kernel/qguieventdispatcher_glib.cpp:85
#16 0x00000037d824760b in g_main_context_check (context=context@entry=0x1b354e0, max_priority=2147483647, fds=fds@entry=0x5130a70, n_fds=n_fds@entry=17) at gmain.c:3023
#17 0x00000037d8247a92 in g_main_context_iterate (context=context@entry=0x1b354e0, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3143
#18 0x00000037d8247c14 in g_main_context_iteration (context=0x1b354e0, may_block=1) at gmain.c:3207
#19 0x0000003b503a5fc6 in QEventDispatcherGlib::processEvents (this=0x1ac6640, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#20 0x0000003b5166a5ee in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:207
#21 0x0000003b503766ef in QEventLoop::processEvents (this=this@entry=0x7fff1a702100, flags=...) at kernel/qeventloop.cpp:149
#22 0x0000003b50376978 in QEventLoop::exec (this=0x7fff1a702100, flags=...) at kernel/qeventloop.cpp:204
#23 0x0000003b5037b768 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1218
#24 0x00000000004903ce in main (argc=5, argv=0x7fff1a702928) at /usr/src/debug/digikam-2.9.0/core/digikam/main/main.cpp:232

Reported using DrKonqi
Comment 1 caulier.gilles 2013-01-21 07:34:57 UTC
It crash in libtiff when specific system SSE instructions are called... It's not a digiKam crash...

Check your system...

Gilles Caulier